set term fig size 15 10 fontsize 14
set output 'probabilities.fig'
set origin 0,0
set multiplot layout 2, 2 rowsfirst

#set logscale y
#unset logscale
set lmargin 10
set key inside top left 
plot [][-0.1:]\
'random_one_initial_point_with_ode.probs'        w l title "one initial point, ODE",\
'random_one_initial_point_with_overapprox.probs' w l title "one initial point, overapproximation",\
'random_one_initial_point_with_solution.probs'   w l title "one initial point, solution"

plot [][-0.1:]\
'random_many_initial_points_with_ode.probs'        w l title "many initial points, ODE",\
'random_many_initial_points_with_overapprox.probs' w l title "many initial points, overapproximation",\
'random_many_initial_points_with_solution.probs'   w l title "many initial points, solution"

plot [][-0.0001:] \
'random_many_initial_regions_with_ode.probs'        w l title "initial intervals, ODE",\
'random_many_initial_regions_with_overapprox.probs' w l title "initial intervals, overapproximation",\
'random_many_initial_regions_with_solution.probs'   w l title "initial intervals, solution"

unset multiplot
