set term fig size 12 8 fontsize 16
set output 'probabilities_subplots.fig'
set origin 0,0
set multiplot layout 2, 2 rowsfirst scale 0.9,0.9

#set logscale y
#unset logscale
set logscale y
#set key bottom right
set nokey
set xtics 5
plot [45:105][:1.1]\
'random_one_initial_point_with_ode.probs'        w l title "one initial point, ODE",\
'random_one_initial_point_with_overapprox.probs' w l title "one initial point, overapproximation",\
'random_one_initial_point_with_solution.probs'   w l title "one initial point, solution"

set xtics 5
plot [35:70]\
'random_many_initial_points_with_ode.probs'        w l title "many initial points, ODE",\
'random_many_initial_points_with_overapprox.probs' w l title "many initial points, overapproximation",\
'random_many_initial_points_with_solution.probs'   w l title "many initial points, solution"

set xtics 5
plot [30:55] \
'random_many_initial_regions_with_ode.probs'        w l title "initial intervals, ODE",\
'random_many_initial_regions_with_overapprox.probs' w l title "initial intervals, overapproximation",\
'random_many_initial_regions_with_solution.probs'   w l title "initial intervals, solution"

unset multiplot
