set term fig size 15 10 fontsize 14
set output 'runtimes.fig'
set origin 0,0
set multiplot layout 2, 2 rowsfirst

set logscale y
set lmargin 10
set key inside top left
plot [][:1e6]\
'long_trace_no_random_with_ode.runtimes'        w l title "no random, one initial point, ODE",\
'long_trace_no_random_with_overapprox.runtimes' w l title "no random, one initial point, overapproximation",\
'long_trace_no_random_with_solution.runtimes'   w l title "no random, one initial point, solution"

plot [][]\
'random_one_initial_point_with_ode.runtimes'        w l title "one initial point, ODE",\
'random_one_initial_point_with_overapprox.runtimes' w l title "one initial point, overapproximation",\
'random_one_initial_point_with_solution.runtimes'   w l title "one initial point, solution"

plot [][]\
'random_many_initial_points_with_ode.runtimes'        w l title "many initial points, ODE",\
'random_many_initial_points_with_overapprox.runtimes' w l title "many initial points, overapproximation",\
'random_many_initial_points_with_solution.runtimes'   w l title "many initial points, solution"

plot [][]\
'random_many_initial_regions_with_ode.runtimes'        w l title "initial intervals, ODE",\
'random_many_initial_regions_with_overapprox.runtimes' w l title "initial intervals, overapproximation",\
'random_many_initial_regions_with_solution.runtimes'   w l title "initial intervals, solution"

unset multiplot
